<div class="panel panel-app panel-without-bottom">
  <div class="panel-heading clearfix">
    <div class="col-lg-11 google-map-form">
      <div class="col-lg-3">
        <select class="form-control input-sm" [(ngModel)]="geoFilter.event" (ngModelChange)="changeFilter()">
        <option  value="" selected> Events </option>
        <option value="3"> Idle</option>
        <option value="1"> Active </option>
        <option value="0"> Inactive </option>
        <option value="2"> Moving </option>
        <option value="4"> Alarm </option>
      </select>
      </div>
      <div class="col-lg-3">
        <select class="form-control input-sm" [(ngModel)]="geoFilter.facility" (ngModelChange)="changeFilter()">
        <option  value="" disabled> Facilities </option>
        <option *ngFor="let facility of availableFacility" [value]="facility.facilityId"> {{facility.facilityName}}</option>
      </select>
      </div>
      <div class="col-lg-3">
        <select class="form-control input-sm" [(ngModel)]="geoFilter.geofence" (ngModelChange)="changeFilter()">
        <option value=""> Geo Fence </option>
      </select>
      </div>
      <div class="col-lg-3">
        <select class="form-control input-sm" tabindex="1" #assetTypeSelect="ngModel" name="assetTypeSelect" (ngModelChange)="changeFilter()"
          [(ngModel)]="geoFilter.assetType">
          <option value="" selected>Asset Type</option>
          <option *ngFor="let assettype of avilableaAssetType" [value]="assettype.name">{{assettype.name}}</option>
      </select>
      </div>
    </div>
    <div class="col-lg-1 no-padding">
      <i class="glyphicon pull-right resize-icons" *ngIf="!minimize.list" (click)="fullscreen.list = !fullscreen.list; fullscreen.map = false;changeMinMax();"
        [ngClass]="{'glyphicon-resize-full': !fullscreen.list , 'glyphicon-resize-small':fullscreen.list}"></i>
      <i class="glyphicon pull-right resize-icons" (click)="minimize.list = !minimize.list; minimize.map = false;changeMinMax();"
        [ngClass]="{'glyphicon-arrow-left': !minimize.list , 'glyphicon-arrow-right':minimize.list }"></i>
    </div>

  </div>
  <div class="panel-body map-body">
    <agm-map [latitude]="lat" [longitude]="lng" [zoom]="19" (zoomChange)="zoomChange($event)" [mapTypeId]="'satellite'">
      <agm-marker *ngFor="let marker of mapData" [latitude]="marker.latitude" [longitude]="marker.longitude" [iconUrl]="marker.icon"
        (markerClick)="alarmClicked(marker)" [label]="label">
        <agm-info-window [disableAutoPan]="true">
          <table class="table info-table">
            <tr>
              <td>
                <img [src]="marker.logo" width="50px" height="50px" alt="Marker">
              </td>
              <td class="details">
                <div *ngIf="geoFilter.utilities == 1">
                  <strong>assetId</strong> : <span class="clickable" (click)="navigateDashboard(marker)">{{marker.assetId}}</span>
                </div>
                <div *ngIf="geoFilter.utilities == 2">
                  <strong>VIN</strong> : {{marker.vin}}
                </div>
                <div *ngIf="geoFilter.utilities == 3">
                  <strong>Make</strong> : {{marker.make}}
                </div>
                <div *ngIf="geoFilter.utilities == 4">
                  <strong>Model</strong> : {{marker.model}}
                </div>
                <div *ngIf="geoFilter.utilities == 5">
                  <strong>Serial Number</strong> : {{marker.serialNumber}}
                </div>
                <div>
                  <strong>Last updated</strong> : {{marker.assetLastUpdateDate | date:'hh:mm, MM/dd/yy'}}
                </div>
                <div>
                  <strong>Status</strong> : {{availStatus[marker.status]}}
                </div>
            </tr>
            <tr>
              <td colspan="4">
                <!-- <div class="col-xs-12 col-sm-6 col-md-4 col-lg-6">
                    <app-time-slider (timeRange)="timeChanged($event)" #timeRange></app-time-slider>
                  </div> -->
                <div class="slider-container time">
                  <app-date-slider (dateRange)="dateChanged($event)" #dateRange></app-date-slider>
                </div>
                <div class="slider-container">
                  <app-time-slider (timeRange)="timeChanged($event)" #timeRange></app-time-slider>
                </div>

              </td>
              <td class="play-icon">
                <span class="glyphicon glyphicon-play" (click)="action.next({item: marker, startDate:sliderDate.startDate, endDate:sliderDate.endDate, startTime:sliderTime.startTime, endTime: sliderTime.endTime })"></span>
              </td>
            </tr>
          </table>
        </agm-info-window>
      </agm-marker>
      <agm-marker *ngFor="let marker of alarmData" [latitude]="marker.lat" [longitude]="marker.lng" (markerClick)="alarmClicked(marker)">
      </agm-marker>
      <!-- <agm-circle *ngIf="location" [latitude]="lat + 0.3" [longitude]="lng" [radius]="75000" [fillColor]="'red'" [circleDraggable]="false"
        [editable]="true">
      </agm-circle> -->
      <app-gmap (mapReady)="mapRendered($event)"></app-gmap>
    </agm-map>
    <span class="map-control">
      <button class="btn btn-default" (click)="deleteSelectedShape()">clear</button>
      <button class="btn btn-default" (click)="saveSelectedShape()">save</button>
    </span>

  </div>
  <div class="panel-footer clearfix">
    <div class="form-inline">
      <div class="checkbox">
        <label>
        <input type="checkbox" [(ngModel)]="geoFilter.showZones" /> Show zones
      </label>
      </div>
      <div class="pull-right google-map-form">
        <div class="form-group">
          <select class="form-control input-sm" (ngModelChange)="changeFilter()" [(ngModel)]="geoFilter.utilities">
        <option value="" disabled>Utilities </option>
        <option value="1" > Assest ID </option>
        <option value="2"> VIN </option>
        <option value="3"> Make </option>
        <option value="4"> Model </option>
        <option value="5"> Serial Number </option>
      </select>
        </div>

        <div class="form-group">
          <input class="form-control input-sm" type="text" placeholder="Enter VN/S No." (ngModelChange)="changeFilter()" [(ngModel)]="geoFilter.vin"
          />
        </div>

        <div class="form-group">
          <input class="form-control input-sm" type="text" placeholder="Enter Location" name="addressName" [(ngModel)]="location" />
        </div>
      </div>
    </div>
  </div>
</div>
